/**
 * Copyright 2008 Peach Jean Solutions
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.xj4.parameterized;

import org.xj4.spi.MethodHandlerFactory;
import org.xj4.spi.XJ4ExtensionProviderBase;

/**
 * Extension provider implementation that provides a method handler for parameterized methods.
 *
 * @author Jared Bunting
 */
public class ParameterizedExtensionProvider extends XJ4ExtensionProviderBase {

  /**
   * Provides the method handler factory.
   * @return the method handler factory
   */
  @Override
  protected MethodHandlerFactory getMethodHandlerFactory() {
    return new ParameterizedMethodHandlerFactory();
  }
}
